/* Joystick keymapping */
/* -1 means a button is unmapped (the device can operate with analog/hat instead) */

#define JOYSTICK_DEADZONE		100	// change to customize the joystick deadzone (range is 0 - 32767)
#define JOY_POS_CENTER			0
#define JOY_POS_LEFT			-1
#define JOY_POS_RIGHT			1
#define JOY_POS_UP			-1
#define JOY_POS_DOWN			1

#if defined(__GP2X__)

	#define BUTTON_UP		0
	#define BUTTON_DOWN		4
	#define BUTTON_LEFT		2
	#define BUTTON_RIGHT		6
	#define BUTTON_ESCAPE		9
	#define BUTTON_RETURN		8
	#define BUTTON_SHOOT_A		12
	#define BUTTON_SHOOT_B		13
	#define BUTTON_SHOOT_C		14
	#define BUTTON_SHOOT_D		15
	#define BUTTON_SCALE		-1
	#define BUTTON_FULLSCREEN	-1

#elif defined(__CAANOO__)

	#define BUTTON_UP		-1
	#define BUTTON_DOWN		-1
	#define BUTTON_LEFT		-1
	#define BUTTON_RIGHT		-1
	#define BUTTON_ESCAPE		6
	#define BUTTON_RETURN		8
	#define BUTTON_SHOOT_A		0
	#define BUTTON_SHOOT_B		1
	#define BUTTON_SHOOT_C		2
	#define BUTTON_SHOOT_D		3
	#define BUTTON_SCALE		-1
	#define BUTTON_FULLSCREEN	-1

#else // regular pc joystick

	#define BUTTON_UP		-1
	#define BUTTON_DOWN		-1
	#define BUTTON_LEFT		-1
	#define BUTTON_RIGHT		-1
	#define BUTTON_ESCAPE		5
	#define BUTTON_RETURN		4
	#define BUTTON_SHOOT_A		0
	#define BUTTON_SHOOT_B		1
	#define BUTTON_SHOOT_C		2
	#define BUTTON_SHOOT_D		3
	#define BUTTON_SCALE		8
	#define BUTTON_FULLSCREEN	9

#endif
